Bug 201804 - www/MT, russian/MT: Update to 5.2.13
Summary: www/MT, russian/MT: Update to 5.2.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-07-24 04:46 UTC by takefu
Modified: 2016-02-13 19:07 UTC (History)
3 users (show)

See Also:


Attachments
MT.patch (2.80 KB, patch)
2015-07-24 04:46 UTC, takefu
no flags Details | Diff
MT.patch2 (2.85 KB, patch)
2015-08-25 08:19 UTC, takefu
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2015-07-24 04:46:11 UTC
Created attachment 159129 [details]
MT.patch

Update 5.2.13

EoL 2015/09/30
http://www.sixapart.jp/movabletype/news/2015/07/17-1030.html
Comment 1 Philip M. Gollucci freebsd_committer 2015-08-18 22:03:33 UTC
Take.
Comment 2 Philip M. Gollucci freebsd_committer 2015-08-21 19:38:45 UTC
Please fix, its apparently non trivial b/c I don't know anything about www/MT.
====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
=======================<phase: package        >============================
===>  Building package for MT-5.2.13,1
pkg-static: duplicate directory listing: /var/db/mysql, fatal (developer mode)
*** Error code
Comment 3 takefu 2015-08-25 08:19:23 UTC
Created attachment 160333 [details]
MT.patch2

(In reply to Philip M. Gollucci from comment #2)

Fixed.
Comment 4 Bartek Rutkowski freebsd_committer 2015-12-01 12:37:54 UTC
If this has EOL in 2015.09 and we've already in 2015.12 is this patch still valid? Would you have an updated one?
Comment 5 takefu 2015-12-02 03:21:36 UTC
(In reply to Bartek Rutkowski from comment #4)

This software will not update.
Might not be opened, even if the security hole is found.
Should have already migrated to the 6.x version, but the distribution method of the source and license changes, becomes impossible to ports.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-02 08:27:34 UTC
What does this mean long term for these ports? If they are unmaintained upstream, should they be DEPRECATED, and/or slated for removal?
Comment 7 takefu 2015-12-03 02:30:03 UTC
(In reply to Kubilay Kocak from comment #6)

Should reflect this patch be maintained by someone other than me, if you will.
But to be deleted because I think the new version is possible licensing issues divide you wish.
Comment 8 commit-hook freebsd_committer 2016-02-13 19:07:04 UTC
A commit references this bug:

Author: rm
Date: Sat Feb 13 19:06:41 UTC 2016
New revision: 408824
URL: https://svnweb.freebsd.org/changeset/ports/408824

Log:
  www/MT: update to 5.2.13; set to deprectaion

  - update to latest version 5.2.13
  - mark DEPRECATED. 5.x branch reached it's EOL in 09/2015.
  - set to expire in one month
  - fix "duplicate directory listing: /var/db/mysql" error

  PR:		201804
  Submitted by:	takefu@airport.fm (maintainer)

Changes:
  head/russian/MT/Makefile
  head/www/MT/Makefile
  head/www/MT/distinfo
  head/www/MT/pkg-plist
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2016-02-13 19:07:38 UTC
Committed, thank you!